﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace ThinkGeo_WMS_Bing
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            var wmsOverlay = new LayerOverlay("wms", true, TileType.MultipleTile)
                                 {
                                     ServerCache =
                                         {
                                             CacheDirectory = @"C:\temp\",
                                             CacheId = "wms900913"
                                         },
                                     TileHeight = 1024,
                                     TileWidth = 1024,
                                     WebImageFormat = WebImageFormat.Jpeg
                                 };

            var wmsLayer = new WmsRasterLayer(new Uri("http://mapserver3.local/mapserv.exe?map=Map1.map&VERSION=1.1.1"));
            wmsLayer.ActiveLayerNames.Add("ORTOS5CM");
            wmsLayer.Parameters.Add("layers", "ORTOS5CM");
            wmsLayer.Parameters.Add("FORMAT", "IMAGE/JPEG");
            wmsLayer.TimeoutInSecond = 60;
            wmsLayer.OutputFormat = "IMAGE/JPEG";
            wmsLayer.Crs = "EPSG:900913";
            wmsLayer.IsTransparent = false;

            wmsOverlay.Layers.Add(wmsLayer);
            wmsOverlay.SetBaseEpsgProjection("EPSG:900913");

            var bing = new BingMapsOverlay("bing", BingMapsStyle.Aerial);

            Map1.CustomOverlays.Add(wmsOverlay);
            Map1.CustomOverlays.Add(bing);

            Map1.MapTools.OverlaySwitcher.Enabled = true;

            Map1.MapTools.OverlaySwitcher.OnClientBaseOverlayChanged = "BaseLayerChanged";
            Map1.MapTools.ScaleLine.Enabled = true;


            if(!String.IsNullOrEmpty(Request.QueryString["withproj4js"]))
            {
                ClientScript.RegisterClientScriptResource(this.GetType(), "proj4js-combined.js");
            }

        }
    }
}